package com.taauav.admin.entity;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 问题管理对象 tauv_inspect_question
 *
 * @author daixiantong
 * @date 20200518
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvInspectQuestion extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检河流ID
     */
    private Integer inspectDriverId;
    /**
     * 巡检图片文件ID
     */
    private Integer inspectFileId;
    /**
     * 问题单号
     */
    private String questionNo;
    /**
     * 问题类型ID
     */
    private Integer questionId;
    /**
     * 处理人
     */
    private Integer handlerUser;
    /**
     * 处理人联系方式
     */
    private String handlerContact;
    /**
     * 处理备注
     */
    private String handlerNote;
    /**
     * 处理反馈图片
     */
    private String handlerImage;
    /**
     * 处理结果
     */
    private String handlerResult;
}