package com.taauav.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.taauav.admin.dto.TauvInspectPhotoDTO;
import com.taauav.admin.entity.TauvInspectPhoto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.taauav.admin.vo.TauvInspectPhotoVo;
import org.apache.ibatis.annotations.Param;

/**
 * 巡检正摄图Mapper接口
 *
 * @author daixiantong
 * @date 20200518
 */
public interface TauvInspectPhotoMapper extends BaseMapper<TauvInspectPhoto>
{
    /**
     * 自定义分页列表
     * @param page
     * @param inspectPhotoDTO
     * @return
     */
    IPage<TauvInspectPhotoVo> selectPhotoPage(IPage page, @Param("param")TauvInspectPhotoDTO inspectPhotoDTO);
}