package com.taauav.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.taauav.admin.dto.TauvInspectQuestionDTO;
import com.taauav.admin.entity.TauvInspectQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.taauav.admin.vo.TauvInspectQuestionVo;
import org.apache.ibatis.annotations.Param;

/**
 * 问题管理Mapper接口
 *
 * @author daixiantong
 * @date 20200518
 */
public interface TauvInspectQuestionMapper extends BaseMapper<TauvInspectQuestion>
{
    /**
     * 自定义分类列表
     * @param page
     * @param inspectQuestionDTO
     * @return
     */
    IPage<TauvInspectQuestionVo> selectQuestionList(IPage page, @Param("param")TauvInspectQuestionDTO inspectQuestionDTO);

    /**
     * 获取问题详情数据
     * @param id
     * @return
     */
    TauvInspectQuestionVo getQuestionDetailInfo(Integer id);
}