package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysDictType;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * <p>
 * 系统字典分类表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
public interface ISysDictTypeService extends IBaseService<SysDictType> {
    /**
     * 获取列表分页数据
     *
     * @param map
     * @return
     */
    Response getPageList(Map<String, String> map);

    /**
     * 根据id获取配置数据
     *
     * @param id
     * @return
     */
    SysDictType getDictTypeById(Integer id);

    /**
     * 添加、编辑配置数据
     *
     * @param map
     * @return
     */
    Response editData(SysDictType map);
}
