package com.taauav.admin.service;

import com.taauav.admin.dto.TauvInspectPhotoDTO;
import com.taauav.admin.entity.TauvInspectPhoto;
import com.taauav.common.bean.Response;
import com.taauav.common.core.mps.BaseQuery;
import com.taauav.common.service.IBaseService;

/**
 * 巡检正摄图Service接口
 *
 * @author daixiantong
 * @date 20200518
 */
public interface ITauvInspectPhotoService extends IBaseService<TauvInspectPhoto>
{
    /**
     * 自定义分页列表
     * @param inspectPhotoDTO
     * @param query
     * @return
     */
    Response selectPhotoPage(TauvInspectPhotoDTO inspectPhotoDTO, BaseQuery query);

    /**
     * 添加正摄图
     * @param inspectPhoto
     * @return
     */
    Response editPhoto(TauvInspectPhoto inspectPhoto);
}
