package com.taauav.admin.service;

import com.taauav.admin.dto.TauvInspectQuestionDTO;
import com.taauav.admin.entity.TauvInspectQuestion;
import com.taauav.common.bean.Response;
import com.taauav.common.core.mps.BaseQuery;
import com.taauav.common.service.IBaseService;

/**
 * 问题管理Service接口
 *
 * @author daixiantong
 * @date 20200518
 */
public interface ITauvInspectQuestionService extends IBaseService<TauvInspectQuestion>
{
    /**
     * 自定义分页列表
     * @param inspectQuestionDTO
     * @param query
     * @return
     */
    Response selectQuestionPage(TauvInspectQuestionDTO inspectQuestionDTO, BaseQuery query);

    /**
     * 获取详情数据
     * @param id
     * @return
     */
    Response getQuestionData(Integer id);
}
