package com.taauav.admin.service;

import com.taauav.admin.entity.TauvWaterData;
import com.taauav.admin.query.TauvWaterDataQuery;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import org.springframework.web.multipart.MultipartFile;

/**
 * 水质数据 服务类
 *
 * @author daixiantong
 * @date 2020-05-14
 */
public interface ITauvWaterDataService extends IBaseService<TauvWaterData> {

    /**
     * 自定义初始化
     * @param waterDataQuery
     * @return
     */
    Response selectPageList(TauvWaterDataQuery waterDataQuery);

    /**
     * 导入水质数据
     * @param file
     * @return
     */
    Response importData(MultipartFile file);

    /**
     * 下载导入模板
     * @return
     */
    Response getTemplate();
}
