package com.taauav.admin.service;

import com.taauav.admin.entity.TauvWaterWarn;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;

/**
 * 水质预警Service接口
 *
 * @author daixiantong
 * @date 20200514
 */
public interface ITauvWaterWarnService extends IBaseService<TauvWaterWarn>
{
    /**
     * 取消预警
     * @param ids
     * @return
     */
    Response cancelWarn(String ids);

    /**
     * 删除预警数据
     * @param ids
     * @return
     */
    Response dropWarn(String ids);
}
