package com.taauav.admin.vo;

import lombok.Data;

import java.math.BigInteger;
import java.util.List;

/**
 * 溧水组织架构列表Vo
 */
@Data
public class SysCityListVo {

    /**
     * 编号
     */
    private BigInteger id;

    /**
     * 父级ID
     */
    private BigInteger pid;

    /**
     * 层级：1省 2市 3区
     */
    private Integer level;

    /**
     * 省市区名称
     */
    private String name;

    /**
     * 显示顺序
     */
    private Integer sort;

    /**
     * 备注
     */
    private String note;

    /**
     * 是否有子级
     */
    boolean hasChildren;

    /**
     * 子级城市
     */
    List<SysCityListVo> childrenList;

}
