package com.taauav.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author daixiantong
 */
@Data
public class TauvInspectFileDataVo {

    private Integer id;

    private Integer driverId;

    private Integer inspectDriverId;

    private Integer reportId;

    private String driverName;

    private String driverAreaName;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date executionTime;

    private String categoryText;

    private String questionTypeText;

    private String questionContent;

    private String filePath;

    private String originImg;
}
