package com.taauav.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.admin.entity.TauvInspectPhoto;
import lombok.Data;

import java.math.BigInteger;
import java.util.Date;

/**
 * 正摄图管理返回结果实体类
 *
 * @author daixiantong
 * @date 2020-05-18
 */
@Data
public class TauvInspectPhotoVo extends TauvInspectPhoto {

    /**
     * 任务单号
     */
    private String inspectNo;

    /**
     * 区划id
     */
    private BigInteger driverArea;

    /**
     * 区划名称
     */
    private String areaName;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 巡检时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inspectTime;

    /**
     * 上传人名称
     */
    private String uploadUserName;
}
