package com.taauav.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.admin.entity.TauvWaterData;
import lombok.Data;

import java.math.BigInteger;
import java.util.Date;

/**
 * 水质数据 扩展实体类
 *
 * @author daixiantong
 * @date 2020-5-14
 */
@Data
public class TauvWaterDataVo extends TauvWaterData {

    /**
     * 任务单号
     */
    private String inspectNo;

    /**
     * 区属id
     */
    private BigInteger driverArea;

    /**
     * 区属名称
     */
    private String areaName;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 巡检时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date executionTime;
}
