package com.taauav.front.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 通知公告 模块常量
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public class UserNoticeConstant {

    /**
     * 公告类型：1水务新闻 2政策法规
     */
    public static Map<Integer, String> USER_NOTICE_TYPE_LIST = new HashMap<Integer, String>() {
        {
            put(1, "水务新闻");
            put(2, "政策法规");
        }
    };

    /**
     * 发布状态
     */
    public static Map<Integer, String> USER_NOTICE_STATUS_LIST = new HashMap<Integer, String>() {
        {
            put(1, "已发布");
            put(2, "待发布");
        }
    };

}
