package com.taauav.front.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 水质报警 模块常量
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public class UserWaterAlarmConstant {

    /**
     * 状态：1未报警 2已报警 3已取消 4处理中 5处理完成
     */
    public static Map<Integer, String> USER_WATER_ALARM_STATUS_LIST = new HashMap<Integer, String>() {
        {
            put(1, "未报警");
            put(2, "已报警");
            put(3, "已取消");
            put(4, "处理中");
            put(5, "处理完成");
        }
    };

}
