package com.taauav.front.mapper;

import com.taauav.admin.entity.TauvWaterAlarmInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 水质报警附表 Mapper 接口
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface UserWaterAlarmInfoMapper extends BaseMapper<TauvWaterAlarmInfo> {

    /**
     * 获取水质警告分类统计列表
     *
     * @return
     */
    List<Map<String, Object>> getWaterAlarmCategoryList();

}
