package com.taauav.front.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 通知公告查询条件
 */
@Data
public class UserNoticeQuery extends BaseQuery {

    /**
     * 公告标题
     */
    private String title;

    /**
     * 公告类型
     */
    private Integer type;

    /**
     * 发布人ID
     */
    private Integer publishUser;

    /**
     * 发布开始时间
     */
    private String startTime;

    /**
     * 发布结束时间
     */
    private String endTime;

}
