package com.taauav.admin.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.admin.entity.TauvInspectDriver;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class TauvInspectDriverAssignTaskDTO {

    /**
     * 分配河流列表
     */
    List<TauvInspectDriver> inspectDrivers;

    /**
     * 巡检任务飞手
     */
    private String inspectHand;

    /**
     * 无人机设备ID
     */
    private String equipmentId;

    /**
     * 挂载设备ID
     */
    private String mountequipmentId;

    /**
     * 执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date executionTime;

}
