package com.taauav.admin.dto;

import lombok.Data;

import java.math.BigInteger;
import java.util.Date;

/**
 * 问题管理请求实体类
 *
 * @author daixiantong
 * @date 2020-05-18
 */
@Data
public class TauvInspectQuestionDTO {

    /**
     * 问题单号
     */
    private String questionNo;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 巡检时间（开始）
     */
    private Date StartTime;

    /**
     * 巡检时间（结束）
     */
    private Date endTime;

    /**
     * 区划id
     */
    private BigInteger driverArea;

    /**
     * 状态
     */
    private Integer status;
}
