package com.taauav.admin.entity;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
/**
 * 巡检飞行轨迹对象 tauv_inspect_track
 *
 * @author daixiantong
 * @date 20200518
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvInspectTrack extends Entity {

    private static final long serialVersionUID = 1L;

    /** 巡检河流ID */
    private Integer inspectDriverId;
    /** 飞行开始时间 */
    private Date startTime;
    /** 飞行结束时间 */
    private Date endTime;
    /** 飞行轨迹地址 */
    private String trackUrl;
}