package com.taauav.admin.entity;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 水质报警附对象 tauv_water_alarm_info
 *
 * @author daixiantong
 * @date 20200514
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvWaterAlarmInfo extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 水质报警ID
     */
    private Integer waterAlarmId;
    /**
     * 参数名
     */
    private String name;
    /**
     * 标准值
     */
    private BigDecimal standardValue;
    /**
     * 实测值
     */
    private BigDecimal measuredValue;
    /**
     * 实测标准
     */
    private String measuredStandard;
    /**
     * 超标情况
     */
    private String exceedStandard;
    /**
     * 是否超标：1是 2否
     */
    private Integer isExceed;
}