package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysDep;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * <p>
 * 部门管理表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-07
 */
public interface ISysDepService extends IBaseService<SysDep> {

    /**
     * 列表
     *
     * @return
     */
    Response index();

    /**
     * 获取部门数据
     *
     * @param id
     * @return
     */
    Response getDepInfo(Integer id);

    /**
     * 添加、编辑
     *
     * @param map
     * @return
     */
    Response edit(SysDep map);

    /**
     * 删除
     *
     * @param map
     * @return
     */
    Response drop(Map<String, String> map);
}
