package com.taauav.admin.service;

import com.taauav.admin.entity.TauvWaterAlarm;
import com.taauav.admin.query.TauvWaterAlarmQuery;
import com.taauav.admin.vo.TauvWaterAlarmVo;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;

/**
 * 水质超标报警服务类
 *
 * @author daixiantong
 * @date 2020-05-14
 */
public interface ITauvWaterAlarmService extends IBaseService<TauvWaterAlarm> {
    /**
     * 自定义分页
     * @param waterAlarmQuery
     * @return
     */
    Response selectPageList(TauvWaterAlarmQuery waterAlarmQuery);

    /**
     * 获取详情数据
     * @param id
     * @return
     */
    TauvWaterAlarmVo getDetail(Integer id);
}
