package com.taauav.front.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

import java.math.BigInteger;

/**
 * 水质报警查询条件
 */
@Data
public class UserWaterAlarmQuery extends BaseQuery {

    /**
     * 报警编号
     */
    private String alarmSn;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 报警时间
     */
    private String alarmTime;

}
