package com.taauav.front.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

import java.math.BigInteger;

/**
 * 水质预警查询条件
 */
@Data
public class UserWaterWarnQuery extends BaseQuery {

    /**
     * 预警编号
     */
    private String warnSn;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 预警时间
     */
    private String warnTime;

}
