package com.taauav.tool.service;

import com.taauav.common.service.impl.BaseServiceImpl;
import com.taauav.tool.entity.GenTableColumn;
import com.taauav.tool.mapper.GenTableColumnMapper;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GenTableColumnServiceImpl extends BaseServiceImpl<GenTableColumnMapper, GenTableColumn> implements IGenTableColumnService {

    @Override
    public List<GenTableColumn> selectDbTableColumnsByName(String tableName) {
        return getBaseMapper().selectDbTableColumnsByName(tableName);
    }

    @Override
    public void insertGenTableColumn(GenTableColumn column) {
         save(column);
    }
}
